=== debian/changelog ===
soapdenovo2 (223+dfsg-1) unstable; urgency=low

  * debian/copyright:
      remove .a files from upstream archive (Closes: #705139).
    debian/patches:
      update patches after lib removal
    debian/control:
      add bam and aio lib dependencies

 -- Olivier Sallou <osallou@debian.org>  Wed, 10 Apr 2013 17:27:22 +0200

soapdenovo2 (223-2) unstable; urgency=low

  * debian/copyright:
      Update copyright years and content,

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Feb 2013 13:02:55 +0100

soapdenovo2 (223-1) unstable; urgency=low

  * Initial release (Closes: #700160)

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Feb 2013 10:40:45 +0100
