=== debian/control ===
Source: soapdenovo2
Section: science
Priority: optional
Build-Depends: debhelper (>= 8), hardening-includes, zlib1g-dev, libbam-dev, libaio-dev
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/soap/soapdenovo2/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/soap/soapdenovo2/
Standards-Version: 3.9.3
Homepage: http://soap.genomics.org.cn/soapdenovo.html

Package: soapdenovo2
Architecture: any-amd64 any-ppc64 any-ia64
#Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g
Description: short-read assembly method to build de novo draft assembly
 SOAPdenovo is a novel short-read assembly method that can build a de novo draft
 assembly for the human-sized genomes. The program is specially designed to
 assemble Illumina GA short reads.
 .
 It creates new opportunities for building reference
 sequences and carrying out accurate analyses of unexplored genomes in a cost
 effective way.
