=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_FORTIFY=1

include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS+=$(HARDENING_CFLAGS)
CXXFLAGS+=$(HARDENING_CXXFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS)


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	cd standardPregraph && make 63mer=1
	cd standardPregraph && make 127mer=1
#	cd sparsePregraph && make
	dh_auto_build

override_dh_install:
	dh_install
	cd debian/soapdenovo2/usr/bin/;rename 's/SOAPdenovo/soapdenovo2/' SOAP*

override_dh_clean:
	cd standardPregraph && make 63mer=1 clean && make 127mer=1 clean
	cd sparsePregraph && make clean
	dh_clean
