## soapdenovo2 240%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

#override_dh_auto_build:
#	cd standardPregraph && make 63mer=1
#	cd standardPregraph && make 127mer=1
#	cd sparsePregraph && make
#	dh_auto_build

override_dh_install:
	dh_install
	cd debian/soapdenovo2/usr/bin/;rename 's/SOAPdenovo/soapdenovo2/' SOAP*

override_dh_clean:
	cd standardPregraph && make 63mer=1 clean && make 127mer=1 clean
	cd sparsePregraph && make clean
	dh_clean
