=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="dversionmangle=s/\+dfsg//g" http://qa.debian.org/watch/sf.php/soapdenovo2/SOAPdenovo2-src-r([.\d]+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
