=== sparsePregraph/Makefile ===
--- 
+++ 
@@ -1,5 +1,10 @@
-CC=             gcc
+CC=            g++ # /opt/blc/gcc-4.5.0/bin/gcc #gcc
+ifdef debug
+CFLAGS=         -O0 -g -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+else
 CFLAGS=         -O4 -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+endif
+
 DFLAGS=         
 OBJS=		build_graph.o build_edge.o multi_threads.o \
 			build_preArc.o pregraph_sparse.o io_func.o\
@@ -8,7 +13,7 @@
 INCLUDES=	-I./inc
 SUBDIRS=    . 
 LIBPATH=	-L/usr/lib64
-LIBS=       -pthread -lz -lstdc++ -L./inc
+LIBS=       -pthread -lz -L./inc
 EXTRA_FLAGS=
 VERSION =    1.0.3
 
@@ -59,7 +64,8 @@
 		@printf "Compiling $<...                             \r"; \
 		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< || echo "Error in command: $(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $<"
 
-all:		pregraph_sparse
+all:		clean $(OBJS) 
+#pregraph_sparse
 
 .PHONY:all clean install
 
@@ -68,7 +74,7 @@
 
 pregraph_sparse: clean	envTest $(OBJS)
 		@printf "Linking...                                                       \r"
-		@$(CC) $(CFLAGS)$(INCLUDES) -o $(PROG)  $(OBJS) $(LIBPATH) $(LIBS) $(ENTRAFLAGS)
+		#@$(CC) $(CFLAGS)$(INCLUDES) -o $(PROG)  $(OBJS) $(LIBPATH) $(LIBS) $(ENTRAFLAGS)
 		@printf "$(PROG) compilation done.\n";
 
 clean:
@@ -76,5 +82,5 @@
 		@printf "$(PROG) cleaning done.\n";
 
 install:
-		@mkdir -p ../bin; cp $(PROG) ../bin/
+		@cp $(PROG) ../bin/
 		@printf "$(PROG) installed at ../bin/$(PROG)\n"
