=== standardPregraph/Makefile ===
--- 
+++ 
@@ -6,9 +6,13 @@
 ###################################
 
 CC=             gcc
-#GCCVERSIONMAJOR := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 4)
-#GCCVERSIONMINOR := $(shell expr `$(CC) -dumpversion | cut -f2 -d.` \>= 4)
+GCCVERSIONMAJOR := $(shell expr `$(CC) -dumpversion | cut -f1 -d.` \>= 4)
+GCCVERSIONMINOR := $(shell expr `$(CC) -dumpversion | cut -f2 -d.` \>= 4)
+ifdef debug
+CFLAGS=         -O0 -g -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+else
 CFLAGS=         -O4 -fomit-frame-pointer #-static #-mcrc32 -march=core2 -msse4.1 -msse4.2
+endif
 DFLAGS=         
 OBJS=		arc.o attachPEinfo.o bubble.o check.o compactEdge.o \
 		concatenateEdge.o connect.o contig.o cutTipPreGraph.o cutTip_graph.o \
@@ -72,14 +76,16 @@
 		@printf "Compiling $<...                             \r"; \
 		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< || echo "Error in command: $(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $<"
 
-all:		clean SOAPdenovo
+all:		clean $(OBJS)
+
+#SOAPdenovo
 
 .PHONY:all clean install
 
 envTest:
 		@test $(BIT_ERR) != 1 || sh -c 'echo "Fatal: 64bit CPU and Operating System required!";false;'
-#		@test $(GCCVERSIONMAJOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
-#		@test $(GCCVERSIONMINOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
+		@test $(GCCVERSIONMAJOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
+		@test $(GCCVERSIONMINOR) == 1 || sh -c 'echo "GCC version lower than 4.4.0";false;'
 
 SOAPdenovo:	envTest $(OBJS)
 		@printf "Linking...                                                \r"
@@ -91,5 +97,5 @@
 		@printf "$(PROG) cleaning done.\n";
 
 install:
-		@mkdir -p ../bin; cp $(PROG) ../bin/
+		@cp $(PROG) ../bin/
 		@printf "$(PROG) installed at ../bin/$(PROG)\n"
