=== debian/changelog ===
soapdenovo2 (240+dfsg-3) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Team upload.
  * Migrate package to Git.
  * Make build reproducible.
    - Use fixed build time and date.
  * Remove duplicated license in d/copyright.
  * Bump Standards-Version.
  
  [ Andreas Tille ]
  * Better hardening
  * d/copyright: remove duplicated paragraph

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 27 May 2016 20:24:56 +0000

soapdenovo2 (240+dfsg-2) unstable; urgency=medium

  * Fix watch file to not report "-mac"
  * cme fix dpkg-control
  * d/copyright:
      - re-order to fit DEP5
      - do not mention files (bam.h) which are not part of the source)
  * d/control+d/rules: hardening-includes is obsolete

 -- Andreas Tille <tille@debian.org>  Thu, 25 Sep 2014 17:11:27 +0200

soapdenovo2 (240+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 27 Jun 2013 16:23:26 +0200
