=== debian/control ===
Source: soapdenovo2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev,
               libbam-dev,
               libaio-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/soapdenovo2.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/soapdenovo2.git
Homepage: http://soap.genomics.org.cn/soapdenovo.html

Package: soapdenovo2
Architecture: any-amd64 any-ppc64 any-ia64
#Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         zlib1g
Description: short-read assembly method to build de novo draft assembly
 SOAPdenovo is a novel short-read assembly method that can build a de novo draft
 assembly for the human-sized genomes. The program is specially designed to
 assemble Illumina GA short reads.
 .
 It creates new opportunities for building reference
 sequences and carrying out accurate analyses of unexplored genomes in a cost
 effective way.
