=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,16 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+BUILD_DATE := $(shell TZ=UTC LC_ALL=C dpkg-parsechangelog | grep Date: | cut -d' ' -f2-7)
+export TZ=UTC
+export LC_ALL=C
+export BDATE=$(shell TZ=UTC LC_ALL=C date -d"$(BUILD_DATE)" +'%b %d %Y')
+export BTIME=$(shell TZ=UTC LC_ALL=C date -d"$(BUILD_DATE)" +'%T')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@
 
 #override_dh_auto_build:
 #	cd standardPregraph && make 63mer=1
