## soapdenovo2 240+dfsg1

=== debian/changelog ===
soapdenovo2 (240+dfsg1-2) unstable; urgency=medium

  * No parallel build possible (which was enabled by debhelper 10 in the
    last change)
    Closes: #847171

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2016 09:32:06 +0100

soapdenovo2 (240+dfsg1-1) unstable; urgency=medium

  * New upstream bugfix release (despite the version number remained
    the same after moving from SourceForge to Github there were some
    bugfix code changes.  These are now incorporated in the dfsg1 since
    I have no better idea how to invent a new upstream version number.
  * Upstream moved to Github
  * Fix watch file
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2016 18:01:24 +0100
