=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/aquaskyline/SOAPdenovo2/releases .*/archive/r(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
