## soapdenovo2 241%2Bdfsg

=== debian/changelog ===
soapdenovo2 (241+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add autopkgtest
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * d/rules: use SOURCE_DATE_EPOCH to determine the current package timestamp

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 12 Jun 2018 17:35:14 +0200

soapdenovo2 (241+dfsg-2) unstable; urgency=medium

  * debian/upstream/metadata:
    - Added references to registries.
    - yamllint clean

 -- Steffen Moeller <moeller@debian.org>  Wed, 06 Sep 2017 23:44:17 +0200

soapdenovo2 (241+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * Standards-Version: 4.1.0 (no changes needed)
  * Build-Depends: rename
    Closes: #874425
  * Remove another binary from source
  * Symlinks to manpages

 -- Andreas Tille <tille@debian.org>  Wed, 06 Sep 2017 10:55:51 +0200
