## soapdenovo2 241+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
+MAKEFLAGS += --no-print-directory
 CC = g++
 ifdef debug
 CFLAGS=         -O0 -g -fomit-frame-pointer
 else
-CFLAGS=         -O4 -fomit-frame-pointer
+CFLAGS=         -O3 -fomit-frame-pointer
 endif
 
-SUBDIRS = sparsePregraph standardPregraph
-PROG=       SOAPdenovo-63mer SOAPdenovo-127mer
+SUBDIRS = sparsePregraph standardPregraph fusion
+PROG=       SOAPdenovo-63mer SOAPdenovo-127mer SOAPdenovo-fusion
 INCLUDES=   -I./sparsePregraph/inc -I./standardPregraph/inc
 
 LIBPATH=    -L/lib64 -L/usr/lib64 -L./sparsePregraph/inc -L./standardPregraph/inc
@@ -23,15 +24,6 @@
 LIBS += -lbam -lrt
 endif
 
-ifneq (,$(findstring Unix,$(shell uname)))
-EXTRA_FLAGS += -Wl,--hash-style=both
-LIBS += -lbam -lrt
-endif
-
-ifneq (,$(findstring Darwin,$(shell uname)))
-LIBS += -lbammac
-endif
-
 ifneq (,$(findstring $(shell uname -m), x86_64))
 CFLAGS += -m64
 endif
@@ -45,7 +37,10 @@
 endif
 
 
-all: SOAPdenovo-63mer SOAPdenovo-127mer
+all: SOAPdenovo-63mer SOAPdenovo-127mer SOAPdenovo-fusion 
+
+SOAPdenovo-fusion:
+	@cd fusion;make;cp SOAPdenovo-fusion ../;cd ..;
 
 ifdef debug
 SOAPdenovo-63mer:
@@ -56,10 +51,6 @@
 	@cd sparsePregraph;make 127mer=1 debug=1;cd ..;
 	@cd standardPregraph;make 127mer=1 debug=1;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
-clean:
-	@cd sparsePregraph;make clean;cd ..;
-	@cd standardPregraph;make clean;cd ..;
-	@rm SOAPdenovo-63mer SOAPdenovo-127mer -f
 else
 SOAPdenovo-63mer:
 	@cd sparsePregraph;make 63mer=1;cd ..;
@@ -69,8 +60,10 @@
 	@cd sparsePregraph;make 127mer=1;cd ..;
 	@cd standardPregraph;make 127mer=1;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
+endif
+
 clean:
 	@cd sparsePregraph;make clean;cd ..;
 	@cd standardPregraph;make clean;cd ..;
-	@rm SOAPdenovo-63mer SOAPdenovo-127mer -f
-endif
+	@cd fusion;make clean;cd ..;
+	@rm -f SOAPdenovo-63mer SOAPdenovo-127mer SOAPdenovo-fusion
