=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                zlib1g-dev,
                libbam-dev,
-               libaio-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/soapdenovo2.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/soapdenovo2.git
+               libaio-dev,
+               rename
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/soapdenovo2
+Vcs-Git: https://salsa.debian.org/med-team/soapdenovo2.git
 Homepage: http://soap.genomics.org.cn/soapdenovo.html
 
 Package: soapdenovo2
