## soapdenovo2 242%2Bdfsg

=== debian/changelog ===
soapdenovo2 (242+dfsg-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 11:03:05 +0200

soapdenovo2 (242+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Refresh patch
  * Fix gcc-10 FTBFS
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 27 Oct 2020 20:13:24 +0530
