## soapdenovo2 242+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 MAKEFLAGS += --no-print-directory
 CC = g++
 ifdef debug
-CFLAGS=         -O0 -g -fomit-frame-pointer
+CFLAGS=         -O0 -g -fomit-frame-pointer -DDEBUG
 else
 CFLAGS=         -O3 -fomit-frame-pointer
 endif
@@ -10,7 +10,7 @@
 PROG=       SOAPdenovo-63mer SOAPdenovo-127mer SOAPdenovo-fusion
 INCLUDES=   -I./sparsePregraph/inc -I./standardPregraph/inc
 
-LIBPATH=    -L/lib64 -L/usr/lib64 -L./sparsePregraph/inc -L./standardPregraph/inc
+LIBPATH=    -L./sparsePregraph/inc -L./standardPregraph/inc -L/lib64 -L/usr/lib64
 LIBS=       -pthread -lz -lm
 EXTRA_FLAGS= 
 
@@ -44,21 +44,21 @@
 
 ifdef debug
 SOAPdenovo-63mer:
-	@cd sparsePregraph;make 63mer=1 debug=1;cd ..;
-	@cd standardPregraph;make 63mer=1 debug=1;cd ..;
+	@cd sparsePregraph;make 63mer=1 debug=1 clean all;cd ..;
+	@cd standardPregraph;make 63mer=1 debug=1 clean all;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-63mer
 SOAPdenovo-127mer:
-	@cd sparsePregraph;make 127mer=1 debug=1;cd ..;
-	@cd standardPregraph;make 127mer=1 debug=1;cd ..;
+	@cd sparsePregraph;make 127mer=1 debug=1 clean all;cd ..;
+	@cd standardPregraph;make 127mer=1 debug=1 clean all;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
 else
 SOAPdenovo-63mer:
-	@cd sparsePregraph;make 63mer=1;cd ..;
-	@cd standardPregraph;make 63mer=1;cd ..;
+	@cd sparsePregraph;make 63mer=1 clean all;cd ..;
+	@cd standardPregraph;make 63mer=1 clean all;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-63mer
 SOAPdenovo-127mer:
-	@cd sparsePregraph;make 127mer=1;cd ..;
-	@cd standardPregraph;make 127mer=1;cd ..;
+	@cd sparsePregraph;make 127mer=1 clean all;cd ..;
+	@cd standardPregraph;make 127mer=1 clean all;cd ..;
 	@$(CC) sparsePregraph/*.o standardPregraph/*.o $(LIBPATH) $(LIBS) $(EXTRA_FLAGS) -o SOAPdenovo-127mer
 endif
