=== sparsePregraph/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC=            g++
 ifdef debug
-CFLAGS=         -O0 -g -fomit-frame-pointer
+CFLAGS=         -O0 -g -fomit-frame-pointer -DDEBUG
 else
 CFLAGS=         -O3 -fomit-frame-pointer -w
 endif
@@ -12,8 +12,8 @@
 PROG=           
 INCLUDES=	-I./inc
 SUBDIRS=    . 
-LIBPATH=	-L/usr/lib64
-LIBS=       -pthread -lz -L./inc
+LIBPATH=	-L./inc -L/usr/lib64
+LIBS=       -pthread -lz
 EXTRA_FLAGS=
 VERSION =    1.0.3
