=== debian/changelog ===
soapdenovo2 (242+dfsg-5) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix build failure with gcc-15. (Closes: #1097909)
  * fix-deps.patch: new: stabilise make rules ordering. (Closes: #1105578)
  * reproducible patch: normalise Last-Update timestamp.
  * d/watch: bump to watch file version 5.
  * d/u/metadata: locate upstream repository.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Oct 2025 19:53:20 +0200

soapdenovo2 (242+dfsg-4) unstable; urgency=medium

  * Team upload.
  * gcc-14.patch: new: fix a lot of issues caught by gcc 14. (Closes: #1075524)
  * d/control: declare compliance to standards version 4.7.0.
  * d/salsa-ci.yml: skip test build on i386.
    This architecture is not declared supported by soapdenovo2.

 -- Étienne Mollier <emollier@debian.org>  Sun, 11 Aug 2024 19:08:09 +0200

soapdenovo2 (242+dfsg-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 21:06:07 +0100
