=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                libbam-dev,
                libaio-dev,
                rename
-Standards-Version: 4.1.4
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/soapdenovo2
 Vcs-Git: https://salsa.debian.org/med-team/soapdenovo2.git
 Homepage: http://soap.genomics.org.cn/soapdenovo.html
