=== debian/watch ===
Version: 5

Source: https://github.com/aquaskyline/SOAPdenovo2/tags
Matching-Pattern: .*/r(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
Dversionmangle: auto
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
Repacksuffix: +dfsg
